Skip to content
Start here

Get the number of outages by location

radar.annotations.outages.locations(OutageLocationsParams**kwargs) -> OutageLocationsResponse
GET/radar/annotations/outages/locations

Retrieves the number of outages by location.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
date_end: Optional[Union[str, datetime]]

End of the date range (inclusive).

formatdate-time
date_range: Optional[str]

Filters results by date range.

date_start: Optional[Union[str, datetime]]

Start of the date range (inclusive).

formatdate-time
format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: Optional[int]

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
ReturnsExpand Collapse
class OutageLocationsResponse:
annotations: List[Annotation]
client_country_alpha2: str
client_country_name: str
value: str

A numeric string.

Get the number of outages by location

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.annotations.outages.locations()
print(response.annotations)
{
  "result": {
    "annotations": [
      {
        "clientCountryAlpha2": "PT",
        "clientCountryName": "Portugal",
        "value": "10"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "annotations": [
      {
        "clientCountryAlpha2": "PT",
        "clientCountryName": "Portugal",
        "value": "10"
      }
    ]
  },
  "success": true
}